# Lgoad upload action

This is a Gitea/Github action to automatically upload a file to lgoad

## Inputs

| name | description | required | default |
| ---- | ----------- | -------- | ------- |
| `file` | Path to the file to upload | ✅ | N/A |
| `token` | lgoad token to use | ✅ | N/A |
| `content-type` | Content-type of the file | ❌ | Derived from the file path |
| `custom-name` | Custom name to give to the file | ❌ | Same as the file name |
| `custom-machine-name` | Custom machine name to put in the path | ❌ | Hostname of the runner |
| `use-salt` | If `true`, a random salt is appended at the end of the file name | ❌ | `false` |

## Outputs

| name | description | example |
| ---- | ----------- | ------- |
| `url` | A url to the uploaded file | `https://free.estrogen.download/kodi/machine/filename.txt` |
| `uri` | The uri of the uploaded file, usable with all lgoad domains | `kodi/machine/filename.txt` |
